## ros-foxy-turtlesim 1.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(turtlesim)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(Qt5 REQUIRED COMPONENTS Widgets)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)

include_directories(include ${Qt5Widgets_INCLUDE_DIRS})

rosidl_generate_interfaces(${PROJECT_NAME}
  "action/RotateAbsolute.action"
  "msg/Color.msg"
  "msg/Pose.msg"
  "srv/Kill.srv"
  "srv/SetPen.srv"
  "srv/Spawn.srv"
  "srv/TeleportAbsolute.srv"
  "srv/TeleportRelative.srv")

set(dependencies "ament_index_cpp" "geometry_msgs" "rclcpp" "rclcpp_action" "std_msgs" "std_srvs")

set(turtlesim_node_SRCS
  src/turtlesim.cpp
  src/turtle.cpp
  src/turtle_frame.cpp
)
set(turtlesim_node_HDRS
  include/turtlesim/turtle_frame.h
)

qt5_wrap_cpp(turtlesim_node_MOCS ${turtlesim_node_HDRS})


add_executable(turtlesim_node ${turtlesim_node_SRCS} ${turtlesim_node_MOCS})
target_link_libraries(turtlesim_node Qt5::Widgets)
ament_target_dependencies(turtlesim_node ${dependencies})
rosidl_target_interfaces(turtlesim_node ${PROJECT_NAME} "rosidl_typesupport_cpp")

add_executable(turtle_teleop_key tutorials/teleop_turtle_key.cpp)
ament_target_dependencies(turtle_teleop_key ${dependencies})
rosidl_target_interfaces(turtle_teleop_key ${PROJECT_NAME} "rosidl_typesupport_cpp")
add_executable(draw_square tutorials/draw_square.cpp)
ament_target_dependencies(draw_square ${dependencies})
rosidl_target_interfaces(draw_square ${PROJECT_NAME} "rosidl_typesupport_cpp")
add_executable(mimic tutorials/mimic.cpp)
ament_target_dependencies(mimic ${dependencies})
rosidl_target_interfaces(mimic ${PROJECT_NAME} "rosidl_typesupport_cpp")

install(TARGETS turtlesim_node turtle_teleop_key draw_square mimic
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY images
  DESTINATION share/${PROJECT_NAME}
  FILES_MATCHING PATTERN "*.png" PATTERN "*.svg")

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-foxy-turtlesim (1.2.6-1focal) focal; urgency=high

  * Update maintainers (#103 <https://github.com/ros/ros_tutorials/issues/103>)
  * Contributors: Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 22 Jul 2022 07:00:00 -0000

ros-foxy-turtlesim (1.2.5-1focal) focal; urgency=high

  * add holonomic motion for turtlesim (#98 <https://github.com/ros/ros_tutorials/issues/98>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 05 Aug 2020 07:00:00 -0000

ros-foxy-turtlesim (1.2.4-1focal) focal; urgency=high

  * add step value to turtlesim color parameters (#91 <https://github.com/ros/ros_tutorials/issues/91>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 12 Jun 2020 07:00:00 -0000

ros-foxy-turtlesim (1.2.3-1focal) focal; urgency=high

  * update Foxy turtle (#90 <https://github.com/ros/ros_tutorials/issues/90>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 05 Jun 2020 07:00:00 -0000

ros-foxy-turtlesim (1.2.2-1focal) focal; urgency=high

  * add Foxy turtle (#89 <https://github.com/ros/ros_tutorials/issues/89>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-foxy-turtlesim (1.2.1-1focal) focal; urgency=high

  * Fix Qt deprecation warning (#88 <https://github.com/ros/ros_tutorials/issues/88>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-foxy-turtlesim (1.2.0-1focal) focal; urgency=high

  * Replace deprecated launch_ros usage (#84 <https://github.com/ros/ros_tutorials/issues/84>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 May 2020 07:00:00 -0000

ros-foxy-turtlesim (1.1.1-1focal) focal; urgency=high

  * catch reference to fix -Wcatch-value warning (#78 <https://github.com/ros/ros_tutorials/issues/78>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2020 07:00:00 -0000

ros-foxy-turtlesim (1.1.0-1focal) focal; urgency=high

  * Eloquent Elusor turtle icon (#77 <https://github.com/ros/ros_tutorials/issues/77>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 Nov 2019 08:00:00 -0000

ros-foxy-turtlesim (1.0.2-1focal) focal; urgency=high

  * separate background color from drawn paths, trigger repaint on parameter changes (#75 <https://github.com/ros/ros_tutorials/issues/75>)
  * add descriptor information for background color parameters (#73 <https://github.com/ros/ros_tutorials/issues/73>)
  * Fix Windows compiler warning (#69 <https://github.com/ros/ros_tutorials/issues/69>)
  * Change log messages to use 'goal' instead of 'action' (#67 <https://github.com/ros/ros_tutorials/issues/67>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-turtlesim (1.0.1-1focal) focal; urgency=high

  * fix mimic tutorial node (#65 <https://github.com/ros/ros_tutorials/issues/65>)
  * fix syntax error in teleop_turtle_key.cpp on Windows (#66 <https://github.com/ros/ros_tutorials/issues/66>)
  * add RotateAbsolute action (#62 <https://github.com/ros/ros_tutorials/issues/62>)
  * fix typo in error message (#64 <https://github.com/ros/ros_tutorials/issues/64>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Oct 2019 07:00:00 -0000

ros-foxy-turtlesim (1.0.0-1focal) focal; urgency=high

  * replace images with ROS 2 turtles (#60 <https://github.com/ros/ros_tutorials/issues/60>)
  * add shortcut to quit teleop (#58 <https://github.com/ros/ros_tutorials/issues/58>)
  * fix compiler warnings on Windows (#57 <https://github.com/ros/ros_tutorials/issues/57>)
  * add support for Windows (#56 <https://github.com/ros/ros_tutorials/issues/56>)
  * various fixes for ROS 2 (#55 <https://github.com/ros/ros_tutorials/issues/55>)
  * turtlesim for ROS 2 (#53 <https://github.com/ros/ros_tutorials/issues/53>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Sep 2019 07:00:00 -0000

ros-foxy-turtlesim (0.9.1-1focal) focal; urgency=high

  * change formula to avoid rounding with extreme input values (#51 <https://github.com/ros/ros_tutorials/issues/51>)
  * keep theta in the desired interval (#46 <https://github.com/ros/ros_tutorials/issues/46>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-foxy-turtlesim (0.9.0-1focal) focal; urgency=high

  * add melodic turtle (#41 <https://github.com/ros/ros_tutorials/issues/41>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 11 Apr 2018 07:00:00 -0000

ros-foxy-turtlesim (0.8.1-1focal) focal; urgency=high

  * theta ranges from -pi to +pi (#31 <https://github.com/ros/ros_tutorials/issues/31>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-foxy-turtlesim (0.8.0-1focal) focal; urgency=high

  * add lunar turtle (#39 <https://github.com/ros/ros_tutorials/pull/39>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 10 Mar 2017 08:00:00 -0000

ros-foxy-turtlesim (0.7.1-1focal) focal; urgency=high

  * check pen_on_ when processing teleport requests (#35 <https://github.com/ros/ros_tutorials/pull/35>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Oct 2016 07:00:00 -0000

ros-foxy-turtlesim (0.7.0-1focal) focal; urgency=high

  * add kinetic image
  * update to Qt5
  * fix size of Jade image to not exceed other images in order to not get positioned incorrectly
  * fix compiler warnings

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-foxy-turtlesim (0.6.1-1focal) focal; urgency=high

  * update the coordinate system in /spawn service for consistency (#25 <https://github.com/ros/ros_tutorials/pull/25>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-foxy-turtlesim (0.6.0-1focal) focal; urgency=high

  * add jade turtle (#22 <https://github.com/ros/ros_tutorials/pull/22>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2015 07:00:00 -0000

ros-foxy-turtlesim (0.5.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 May 2015 07:00:00 -0000

ros-foxy-turtlesim (0.5.2-1focal) focal; urgency=high





=== debian/control ===
Source: ros-foxy-turtlesim
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qt5-qmake, qtbase5-dev, ros-foxy-ament-cmake, ros-foxy-ament-index-cpp, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rosidl-default-generators, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: http://www.ros.org/wiki/turtlesim
Standards-Version: 3.9.2

Package: ros-foxy-turtlesim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, ros-foxy-ament-index-cpp, ros-foxy-geometry-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rosidl-default-runtime, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-ros-workspace
Description: turtlesim is a tool made for teaching ROS and ROS packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-turtlesim//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
